Summary: Utility for modifying/upgrading files
Name: patch
Version: 2.6
Release: 6%{?dist}
License: GPLv2+
URL: http://www.gnu.org/software/patch/patch.html
Group: Development/Tools
Source: ftp://ftp.gnu.org/gnu/patch/patch-%{version}.tar.xz
Patch1: patch-2.5.4-sigsegv.patch
Patch2: patch-best-name.patch
Patch3: patch-get-arg.patch
Patch100: patch-selinux.patch
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: libselinux-devel

%description
The patch program applies diff files to originals.  The diff command
is used to compare an original to a changed file.  Diff lists the
changes made to the file.  A person who has the original file can then
use the patch command with the diff file to add the changes to their
original file (patching the file).

Patch should be installed because it is a common way of upgrading
applications.

%prep
%setup -q

# Avoid segfault.
%patch1 -p1 -b .sigsegv

# Applied upstream patch to prevent incorrect filename being chosen
# when adding a new file (bug #550319).
%patch2 -p1 -b .best-name

# Fixed argument type for --get (bug #618216).
%patch3 -p1 -b .get-arg

# SELinux support.
%patch100 -p1 -b .selinux

%build
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE"
%configure

make %{?smp_mflags}

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING NEWS README
%{_bindir}/*
%{_mandir}/*/*


%changelog

